<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mods	ROHTI - Re-Organize Hot Topic Icon
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function ROHTI_Displays(&$buffer)
{
	global $modSettings, $context, $settings, $txt, $topic;
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;

	// Define the old and the new	
	$rohti = array();
	if (!empty($modSettings['rohti_enable']) && (function_exists('MessageIndex') || function_exists('QuickModeration'))) {

		foreach ($context['topics'] as $topic)
		{
			// Is this topic pending approval, or does it have any posts pending approval?
			if ($context['can_approve_posts'] && $topic['unapproved_posts'])
				$color_class = !$topic['approved'] ? 'approvetbg' : 'approvebg';
			// We start with locked and sticky topics.
			elseif ($topic['is_sticky'] && $topic['is_locked'])
				$color_class = 'stickybg locked_sticky';
			// Sticky topics should get a different color, too.
			elseif ($topic['is_sticky'])
				$color_class = 'stickybg';
			// Locked topics get special treatment as well.
			elseif ($topic['is_locked'])
				$color_class = 'lockedbg';
			// Last, but not least: regular topics.
			else
				$color_class = 'windowbg';

			$oldhtipMI1 = '<th scope="col" class="first_th" width="8%" colspan="2">&nbsp;</th>';
			$newhtipMI1 = '<th scope="col" class="first_th" width="4%" colspan="1">&nbsp;</th>';
			$rohti[$oldhtipMI1] = $newhtipMI1;
			
			$oldhtipMI2 = '<th scope="col" width="14%">';
			$newhtipMI2 = '<th scope="col" width="4%">&nbsp;</th>
					<th scope="col" width="14%">';
			$rohti[$oldhtipMI2] = $newhtipMI2;
			
			$oldhtipMI3 = '<th scope="col" class="first_th" width="8%">&nbsp;</th>';
			$newhtipMI3 = '<th scope="col" class="first_th" width="4%">&nbsp;</th>';
			$rohti[$oldhtipMI3] = $newhtipMI3;
			
			$oldhtipMI4 = '<th scope="col" class="last_th" width="8%">&nbsp;</th>';
			$newhtipMI4 = '<th scope="col" width="4%">&nbsp;</th>
					<th scope="col" class="last_th" width="8%">&nbsp;</th>';
			$rohti[$oldhtipMI4] = $newhtipMI4;

			$oldhtipMI5 = '<td class="icon1 ' . $color_class . '">';
			$newhtipMI5 = '<td class="icon1 ' . $color_class . '" style="display:none">';
			$rohti[$oldhtipMI5] = $newhtipMI5;
			
			$oldhtipMI6 = '<td class="stats ' . $color_class . '">';
			$newhtipMI6 = '<td class="icon1 ' . $color_class . '">
						<img src="' . $settings['images_url'] . '/topic/' . $topic['class'] . '.gif" alt="" />
					</td>
					<td class="stats ' . $color_class . '">';
			$rohti[$oldhtipMI6] = $newhtipMI6;

			$oldhtipMI7 = 'icon1 lockedbg">';
			$newhtipMI7 = 'icon1 lockedbg" style="display:none">';
			$rohti[$oldhtipMI7] = $newhtipMI7;
			
			$oldhtipMI8 = 'icon1 stickybg">';
			$newhtipMI8 = 'icon1 stickybg" style="display:none">';
			$rohti[$oldhtipMI8] = $newhtipMI8;
			
			$oldhtipMI9 = 'icon1 stickybg locked_sticky">';
			$newhtipMI9 = 'icon1 stickybg locked_sticky" style="display:none">';
			$rohti[$oldhtipMI9] = $newhtipMI9;
			
			$oldhtipMI10 = '<td class="stats ' . $color_class . '">';
			$newhtipMI10 = '<td class="icon1 lockedbg ' . $color_class . '">
						<img src="' . $settings['images_url'] . '/topic/' . $topic['class'] . '.gif" alt="" />
					</td>
					<td class="stats ' . $color_class . '">';
			$rohti[$oldhtipMI10] = $newhtipMI10;
			
			$oldhtipMI11 = '<td class="stats ' . $color_class . '">';
			$newhtipMI11 = '<td class="icon1 stickybg ' . $color_class . '">
						<img src="' . $settings['images_url'] . '/topic/' . $topic['class'] . '.gif" alt="" />
					</td>
					<td class="stats ' . $color_class . '">';
			$rohti[$oldhtipMI11] = $newhtipMI11;
			
			$oldhtipMI12 = '<td class="stats ' . $color_class . '">';
			$newhtipMI12 = '<td class="icon1 stickybg locked_sticky ' . $color_class . '">
						<img src="' . $settings['images_url'] . '/topic/' . $topic['class'] . '.gif" alt="" />
					</td>
					<td class="stats ' . $color_class . '">';
			$rohti[$oldhtipMI12] = $newhtipMI12;
		}
	}
	// Now let's change them, if we're allowed to
	return str_replace(array_keys($rohti), array_values($rohti), $buffer);
}

function ROHTI_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('ROHTI');
	// Add setting(s)
	$rohti = array(
			array('check', 'rohti_enable'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $rohti);
}
?>